
JHEADERS_DIR="."
CLASSES_DIR="../../glass-rain/build/classes"

echo ""
echo "removing old java headers"

rm -f com_sun_rain_*

echo done


echo ""
echo "generating new java headers"


echo "    com.sun.rain.shapes.*"

echo "        com.sun.rain.shapes.Shape"
javah -d ${JHEADERS_DIR} -classpath ${CLASSES_DIR} com.sun.rain.shapes.Shape


echo "    com.sun.rain.graphics.*"

echo "        com.sun.rain.graphics.Graphics2D"
javah -d ${JHEADERS_DIR} -classpath ${CLASSES_DIR} com.sun.rain.graphics.Graphics2D

echo "        com.sun.rain.graphics.Graphics3D"
javah -d ${JHEADERS_DIR} -classpath ${CLASSES_DIR} com.sun.rain.graphics.Graphics3D

echo "        com.sun.rain.graphics.Color"
javah -d ${JHEADERS_DIR} -classpath ${CLASSES_DIR} com.sun.rain.graphics.Color

echo "        com.sun.rain.graphics.Font"
javah -d ${JHEADERS_DIR} -classpath ${CLASSES_DIR} com.sun.rain.graphics.Font

echo "        com.sun.rain.graphics.Image"
javah -d ${JHEADERS_DIR} -classpath ${CLASSES_DIR} com.sun.rain.graphics.Image


echo done

exit 0
